package controllers

import javax.inject.Inject
import models.HelloWorld
import play.api.libs.json.Json._
import play.api.mvc.InjectedController

class HelloWorldJSONController @Inject() extends InjectedController {

  def hello(module: String) = Action {

    Ok(toJson(HelloWorld(module)))

  }

  def helloView(module: String) = Action {

    Ok(views.html.hello(stringify(toJson(HelloWorld(module)))))

  }

}

